/[gentoo-x86]/sys-auth/polkit/ChangeLog
Gentoo

Diff of /sys-auth/polkit/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.89 Revision 1.154
1# ChangeLog for sys-auth/polkit 1# ChangeLog for sys-auth/polkit
2# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.89 2012/06/27 10:06:14 ssuominen Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-auth/polkit/ChangeLog,v 1.154 2013/09/21 08:52:52 ago Exp $
4
5 21 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
6 Stable for x86, wrt bug #484486
7
8 21 Sep 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.112.ebuild:
9 Stable for amd64, wrt bug #484486
10
11 19 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.110-r1.ebuild,
12 -files/polkit-0.110-CVE-2013-4288.patch:
13 old
14
15*polkit-0.112-r1 (19 Sep 2013)
16
17 19 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.112-r1.ebuild,
18 polkit-0.112.ebuild:
19 -r0 is for stabilization w/ mozjs185 and -r1 is for ~arch with mozjs 17.0
20
21 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org> -polkit-0.111-r1.ebuild:
22 Remove vulnerable version
23
24*polkit-0.110-r1 (19 Sep 2013)
25
26 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org>
27 +files/polkit-0.110-CVE-2013-4288.patch, +polkit-0.110-r1.ebuild:
28 Bump for CVE-2013-4288
29
30*polkit-0.112 (19 Sep 2013)
31
32 19 Sep 2013; Doug Goldstein <cardoe@gentoo.org> +polkit-0.112.ebuild:
33 Bump for CVE-2013-4288
34
35 10 Sep 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild,
36 polkit-0.111-r1.ebuild:
37 Stop forcing USE="consolekit systemd" for sys-auth/pambase in PDEPEND because
38 CONFIG_AUDITSYSCALL=y is not possible on every arch and the dependency was
39 always more about convinience than being strict requirement.
40
41 09 Aug 2013; Ian Stakenvicius <axs@gentoo.org> -polkit-0.111.ebuild:
42 dropped polkit-111 in favour of -r1 now that spidermonkey-17 is unmasked, as
43 per ssuominen's approval
44
45 09 Aug 2013; Ian Stakenvicius <axs@gentoo.org> polkit-0.110.ebuild,
46 polkit-0.111-r1.ebuild:
47 Adjusted deps for dev-lang/spidermonkey to ensure SLOT=0
48
49*polkit-0.111-r1 (08 Aug 2013)
50
51 08 Aug 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.111-r1.ebuild:
52 Force use of dev-lang/spidermonkey:17 because automagic dependencies are bad.
53
54*polkit-0.111 (15 May 2013)
55
56 15 May 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.111.ebuild:
57 Version bump by "okias" from Freenode
58
59 19 Mar 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.107-r1.ebuild,
60 -files/polkit-0.107-fallback.patch:
61 old
62
63 19 Mar 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
64 Stable for sh, wrt bug #452688
65
66 12 Mar 2013; Samuli Suominen <ssuominen@gentoo.org>
67 files/polkit-0.110-W_define.patch:
68 Include link to upstream bug.
69
70 12 Mar 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild,
71 +files/polkit-0.110-W_define.patch:
72 Fix missing #include <sys/wait.h> for #define's of WIFEXITED, WEXITSTATUS,
73 WIFSIGNALED and WTERMSIG (to fix building on arch "sh")
74
75 09 Mar 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
76 Stable for sparc, wrt bug #452688
77
78 03 Mar 2013; Mike Frysinger <vapier@gentoo.org> polkit-0.110.ebuild:
79 Add s390 keywords #457078 by Michael Palimaka.
80
81 23 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
82 Stable for alpha, wrt bug #452688
83
84 10 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
85 Stable for ppc64, wrt bug #452688
86
87 09 Feb 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
88 Stable for ia64, wrt bug #452688
89
90 31 Jan 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.110.ebuild:
91 Stable for ppc, wrt bug #452688
92
93 29 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
94 Force USE="debug" to be disabled in dev-lang/spidermonkey to avoid asseration
95 errors as noted by _AxS_.
96
97 26 Jan 2013; Markus Meier <maekke@gentoo.org> polkit-0.110.ebuild:
98 arm stable, bug #452688
99
100 20 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
101 x86 stable wrt #452688
102
103 19 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> polkit-0.110.ebuild:
104 amd64 stable wrt #452688
105
106 11 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.104-r1.ebuild,
107 -polkit-0.109-r1.ebuild, -files/polkit-0.109-XAUTHORITY-fallback.patch:
108 old
109
110*polkit-0.110 (11 Jan 2013)
111
112 11 Jan 2013; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.110.ebuild:
113 Version bump.
114
115 06 Jan 2013; Raúl Porcel <armin76@gentoo.org> polkit-0.107-r1.ebuild,
116 polkit-0.109-r1.ebuild:
117 Add ~sh wrt #436668
118
119 01 Jan 2013; Agostino Sarubbo <ago@gentoo.org> polkit-0.109-r1.ebuild:
120 Add ~ia64, wrt bug #436668
121
122 30 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
123 Stable for sparc, wrt bug #436666
124
125 29 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
126 Stable for alpha, wrt bug #436666
127
128 21 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.108.ebuild,
129 -polkit-0.109.ebuild:
130 old
131
132*polkit-0.109-r1 (21 Dec 2012)
133
134 21 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109-r1.ebuild,
135 +files/polkit-0.109-XAUTHORITY-fallback.patch:
136 Backport XAUTHORITY fallback support from upstream git.
137
138 19 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.108.ebuild:
139 Add ~ia64, wrt bug #436668
140
141*polkit-0.109 (19 Dec 2012)
142
143 19 Dec 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.109.ebuild:
144 Version bump. Fix PaX marking logic wrt #444446 by Maxim Kammerer
145
146 18 Dec 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
147 Stable for ia64, wrt bug #436666
148
149 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
150 stable arm, bug #436666
151
152 22 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.107.ebuild:
153 old
154
155 22 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
156 stable ppc64, bug #436666
157
158 22 Nov 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
159 Stable for x86, tested by Vincent Olivert Riera <peratu@carrosses.com>, wrt
160 bug #436666
161
162 21 Nov 2012; Anthony G. Basile <blueness@gentoo.org> polkit-0.107-r1.ebuild:
163 stable ppc, bug #436666, thanks peratu
164
165 19 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.108.ebuild:
166 Link against -lgmodule-2.0 to prevent underlinking (backported from upstream,
167 but using sed to avoid eautoreconf) wrt #443798
168
169*polkit-0.108 (18 Nov 2012)
170
171 18 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.108.ebuild:
172 Version bump.
173
174 28 Oct 2012; Naohiro Aota <naota@gentoo.org> polkit-0.104-r1.ebuild,
175 polkit-0.107-r1.ebuild, polkit-0.107.ebuild:
176 Drop ~x86-fbsd due to bug #439968.
177
178 15 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.104-r1.ebuild,
179 polkit-0.107-r1.ebuild:
180 Drop HPPA keywording (bug #438368).
181
182 15 Oct 2012; Zac Medico <zmedico@gentoo.org> polkit-0.107-r1.ebuild:
183 Set QA_MULTILIB_PATHS for bug #424423.
184
185 09 Oct 2012; Jeroen Roovers <jer@gentoo.org> polkit-0.107-r1.ebuild:
186 Marked ~hppa (bug #436668).
187
188 08 Oct 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.107-r1.ebuild:
189 Use pax-mark in src_compile() instead of src_install() for src_test() wrt
190 #423927 by "kensington" and "Nikoli". Punt bogus RESTRICT for multilib-strict
191 and emphatize it's an Portage issue instead of polkit issue in src_install()
192 message.
193
194 07 Oct 2012; Agostino Sarubbo <ago@gentoo.org> polkit-0.107-r1.ebuild:
195 Stable for amd64, wrt bug #436666
196
197*polkit-0.107-r1 (20 Sep 2012)
198
199 20 Sep 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107-r1.ebuild,
200 +files/polkit-0.107-fallback.patch:
201 Introduce upstream patch for falling back to uid 0 for authentication if list
202 of admin identities is empty.
203
204 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.105.ebuild,
205 -polkit-0.106-r7.ebuild:
206 old
207
208*polkit-0.107 (13 Jul 2012)
209
210 13 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.107.ebuild:
211 Version bump.
212
213 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r5.ebuild,
214 -polkit-0.106-r6.ebuild:
215 old
216
217 07 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r7.ebuild:
218 Remove USE="debug" because --enable/--disable-verbose-mode is no-op wrt
219 #391865 by Maksim Melnikau
220
221*polkit-0.106-r7 (02 Jul 2012)
222
223 02 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r7.ebuild:
224 RESTRICT="multilib-strict" since it's not compatible with the whole
225 /usr/libexec -> /usr/lib/$package migration wrt #424423. This will move
226 polkit-agent-helper-1 and polkitd back to /usr/lib/polkit-1.
227
228*polkit-0.106-r6 (01 Jul 2012)
229
230 01 Jul 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r6.ebuild:
231 Fix hardcoded path to "lib" in polkitagentsession.c for systems without the
232 /usr/lib to /usr/lib64 symlink.
233
234 30 Jun 2012; <swift@gentoo.org> polkit-0.104-r1.ebuild, polkit-0.105.ebuild,
235 polkit-0.106-r5.ebuild:
236 Adding dependency on SELinux policykit module if USE=selinux is set
237
238 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> polkit-0.106-r5.ebuild:
239 pax-mark polkitd only when spidermonkey is built with JIT enabled and only
240 'm' instead of 'mr' when version is >= 1.8.7 (by using has_version check)
241
242 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> -polkit-0.106-r2.ebuild,
243 -polkit-0.106-r3.ebuild, -polkit-0.106-r4.ebuild:
244 old
245
246*polkit-0.106-r5 (27 Jun 2012)
247
248 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r5.ebuild:
249 Revert entire unix-group:wheel experiment back to unix-user:0 because
250 PolicyKit agent(s) don't behave correctly with it wrt #423733 by Travis
251 Hansen. Revert system-local-login to system-auth for PAM errors wrt #423487
252 by Doug Goldstein.
4 253
5*polkit-0.106-r4 (27 Jun 2012) 254*polkit-0.106-r4 (27 Jun 2012)
6 255
7 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r4.ebuild: 256 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org> +polkit-0.106-r4.ebuild:
8 Stop installing polkit-backend-1.pc because upstream changed 257 Stop installing polkit-backend-1.pc because upstream changed
333 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org> 582 29 Oct 2009; Gilles Dartiguelongue <eva@gentoo.org>
334 +files/polkit-0.92-zsh-completions.patch, 583 +files/polkit-0.92-zsh-completions.patch,
335 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild, 584 +files/polkit-0.93-fix-daemon-name.patch, +polkit-0.94.ebuild,
336 +metadata.xml: 585 +metadata.xml:
337 Initial ebuild for GNOME 2.28. 586 Initial ebuild for GNOME 2.28.
338

Legend:
Removed from v.1.89  
changed lines
  Added in v.1.154

  ViewVC Help
Powered by ViewVC 1.1.20